org.labkey.remoteapi.assay.nab

## Class NAbRunsCommand

- java.lang.Object
- - org.labkey.remoteapi.Command<ResponseType>
  - - org.labkey.remoteapi.query.BaseQueryCommand<NAbRunsResponse>
    - - org.labkey.remoteapi.assay.nab.NAbRunsCommand

-     public class NAbRunsCommand
      extends BaseQueryCommand<NAbRunsResponse>

  Command for obtaining information about the current assay definitions in a particular folder.

  By default, this command returns information about all assays, but you may use the various setters to filter this list to assays of a given name, type or id.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.labkey.remoteapi.Command

      `Command.CommonParameters, Command.Response`

  - ### Field Summary

    - ### Fields inherited from class org.labkey.remoteapi.query.BaseQueryCommand

      `_containerFilter, _filters, _maxRows, _offset, _sorts`

    - ### Fields inherited from class org.labkey.remoteapi.Command

      `CONTENT_TYPE_JSON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NAbRunsCommand()` Constructs a new AssayListCommand object.
    `NAbRunsCommand(NAbRunsCommand source)` Constructs a new NAbRunsCommand which is a copy of the source command

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NAbRunsCommand` | `copy()` Returns a copy of this object.
    `protected NAbRunsResponse` | `createResponse(java.lang.String text, int status, java.lang.String contentType, org.json.simple.JSONObject json)` Creates an instance of the response class, initialized with the response text, the HTTP status code, and parsed JSONObject.
    `java.lang.String` | `getAssayName()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getParameters()` Returns the current parameter map, or null if a map has not yet been set.
    `boolean` | `isCalculateNeut()`
    `boolean` | `isIncludeFitParameters()`
    `boolean` | `isIncludeStats()`
    `boolean` | `isIncludeWells()`
    `void` | `setAssayName(java.lang.String assayName)`
    `void` | `setCalculateNeut(boolean calculateNeut)`
    `void` | `setIncludeFitParameters(boolean includeFitParameters)`
    `void` | `setIncludeStats(boolean includeStats)`
    `void` | `setIncludeWells(boolean includeWells)`

    - ### Methods inherited from class org.labkey.remoteapi.query.BaseQueryCommand

      `addFilter, addFilter, addSort, addSort, getContainerFilter, getFilters, getMaxRows, getOffset, getQueryParameters, getSorts, setContainerFilter, setFilters, setMaxRows, setOffset, setQueryParameters, setSorts`

    - ### Methods inherited from class org.labkey.remoteapi.Command

      `_execute, createRequest, execute, getActionName, getActionUrl, getControllerName, getHttpRequest, getParamValueAsString, getQueryString, getRequiredVersion, getTimeout, setParameters, setRequiredVersion, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NAbRunsCommand

          public NAbRunsCommand()

      Constructs a new AssayListCommand object.

    - #### NAbRunsCommand

          public NAbRunsCommand(NAbRunsCommand source)

      Constructs a new NAbRunsCommand which is a copy of the source command
      Parameters:
        `source` - The source NAbRunsCommand

  - ### Method Detail

    - #### createResponse

          protected NAbRunsResponse createResponse(java.lang.String text,
                                                   int status,
                                                   java.lang.String contentType,
                                                   org.json.simple.JSONObject json)

      Description copied from class: `Command`
      Creates an instance of the response class, initialized with the response text, the HTTP status code, and parsed JSONObject.

      Override this method to create an instance of a different class that extends CommandResponse

      Overrides:
        `createResponse` in class `Command<NAbRunsResponse>`
      Parameters:
        `text` - The response text from the server.
        `status` - The HTTP status code.
        `contentType` - The Content-Type header value.
        `json` - The parsed JSONObject (or null if no JSON was returned).
      Returns:
        An instance of the response object.

    - #### getParameters

          public java.util.Map<java.lang.String,java.lang.Object> getParameters()

      Description copied from class: `Command`
      Returns the current parameter map, or null if a map has not yet been set. Derived classes will typically override this method to provide a parameter map based on data members set by specialized setter methods.
      Overrides:
        `getParameters` in class `BaseQueryCommand<NAbRunsResponse>`
      Returns:
        The current parameter map.

    - #### copy

          public NAbRunsCommand copy()

      Description copied from class: `Command`
      Returns a copy of this object. Derived classes should override this to copy their own data members
      Overrides:
        `copy` in class `Command<NAbRunsResponse>`
      Returns:
        A copy of this object

    - #### getAssayName

          public java.lang.String getAssayName()

    - #### setAssayName

          public void setAssayName(java.lang.String assayName)

    - #### isIncludeStats

          public boolean isIncludeStats()

    - #### setIncludeStats

          public void setIncludeStats(boolean includeStats)

    - #### isIncludeWells

          public boolean isIncludeWells()

    - #### setIncludeWells

          public void setIncludeWells(boolean includeWells)

    - #### isIncludeFitParameters

          public boolean isIncludeFitParameters()

    - #### setIncludeFitParameters

          public void setIncludeFitParameters(boolean includeFitParameters)

    - #### isCalculateNeut

          public boolean isCalculateNeut()

    - #### setCalculateNeut

          public void setCalculateNeut(boolean calculateNeut)